## console-setup 1.237ubuntu1

=== Makefile ===
maindir ?= $(shell pwd)
kbddir := $(maindir)/Keyboard
fntdir := $(maindir)/Fonts
include rules.mk
include Keyboard/Makefile
include Fonts/Makefile

# The following two shortcuts will be redefined, so they can not be
# used in recipes and target specific variables.
. := $(maindir)
~ := main

prefix := /usr/local
# etcdir must be either /etc or
etcdir := $(prefix)/etc
bootprefix := $(patsubst %/usr,%/,$(prefix:%/=%))
mandir := $(prefix)/share/man

acmfiles := $(wildcard $./acm/*.acm)

gzipped_acmfiles := $(addsuffix .gz, $(acmfiles))

gzipped-acmfiles : $(gzipped_acmfiles)

build-common: gzipped-acmfiles

.PHONY: install-common
install-common: build-common
	install -d  $(bootprefix)/bin/
	install setupcon $(bootprefix)/bin/
	install -d $(etcdir)/default
	install -m 644 config/keyboard $(etcdir)/default/
	install -m 644 config/console-setup $(etcdir)/default/
	install -d $(mandir)/man1/
	install -m 644 man/setupcon.1 $(mandir)/man1/
	install -d $(mandir)/man5/
	install -m 644 man/keyboard.5 $(mandir)/man5/
	install -m 644 man/console-setup.5 $(mandir)/man5/

.PHONY: install-common-linux
install-common-linux: build-linux
	install -d $(prefix)/share/consolefonts/
	install -m 644 Fonts/*.psf.gz $(prefix)/share/consolefonts/
	install -d $(prefix)/share/consoletrans
	install -m 644 acm/*.acm.gz $(prefix)/share/consoletrans/
	install -d $(etcdir)/console-setup
	install -m 644 Keyboard/compose.*.inc $(etcdir)/console-setup/
	install -m 644 Keyboard/remap.inc $(etcdir)/console-setup/

.PHONY: install-ckbcomp
install-ckbcomp: 
	if [ -z "$(xkbdir)" ]; then \
		mkdir -p $(etcdir)/console-setup \
		&& cp -r Keyboard/ckb/ $(etcdir)/console-setup/ckb; \
	fi
	install -d $(prefix)/bin/
	install -m 755 Keyboard/ckbcomp $(prefix)/bin/
	install -d $(mandir)/man1/
	install -m 644 man/ckbcomp.1 $(mandir)/man1/

.PHONY : install-ckbcomp-mini
install-ckbcomp-mini: build-mini-linux
	install -d $(prefix)/share/console-setup/
	-install -m 644 Keyboard/*.ekmap.gz $(prefix)/share/console-setup/
	install -m 644 Keyboard/charmap_functions.sh $(prefix)/share/console-setup/
	install -d $(prefix)/bin/
	install -m 755 Keyboard/ckbcomp-mini $(prefix)/bin/
	ln -s ckbcomp-mini $(prefix)/bin/ckbcomp
	install -d $(mandir)/man1/
	install -m 644 man/ckbcomp.1 $(mandir)/man1/
	ln -s ckbcomp.1 $(mandir)/man1/ckbcomp-mini.1

.PHONY: install-linux
install-linux: install-common install-common-linux install-ckbcomp

.PHONY : install-mini-linux
install-mini-linux: install-common install-common-linux install-ckbcomp-mini

common-uninstall: | build-linux build-mini-linux
	-for font in Fonts/*.psf.gz; do \
		rm $(prefix)/share/consolefonts/$${font##*/}; \
	done
	-for acm in acm/*.acm.gz acm/*.acm; do \
		rm $(prefix)/share/consoletrans/$${acm##*/}; \
	done
	-for font in Fonts/*.fnt; do \
		rm $(prefix)/share/syscons/fonts/$${font##*/}; \
	done
	-for scm in Fonts/*.scm; do \
		rm $(prefix)/share/syscons/scrnmaps/$${scm##*/}; \
	done
	-rm -r $(prefix)/share/console-setup/
	-rm $(prefix)/share/man/man1/ckbcomp.1
	-rm $(prefix)/share/man/man1/setupcon.1
	-rm $(prefix)/share/man/man5/keyboard.5
	-rm $(prefix)/share/man/man5/console-setup.5
	-rm -r $(etcdir)/console-setup/
	-rm $(etcdir)/default/keyboard
	-rm $(etcdir)/default/console-setup
	-rm $(prefix)/bin/ckbcomp
	-rm $(bootprefix)/bin/setupcon

.PHONY: uninstall-linux
uninstall-linux: build-linux common-uninstall

.PHONY: uninstall-mini-linux
uninstall-mini-linux: build-mini-linux common-uninstall

%.txt : %
	groff -mandoc -Tascii $< | col -bx >$@

txtmanpages := $./man/bdf2psf.1.txt $./man/console-setup.5.txt		\
	$./man/setupcon.1.txt $./man/ckbcomp.1.txt $./man/keyboard.5.txt

clean .PHONY : $~clean
$~clean:
	-rm -f $(maindir)/acm/*.acm.gz
	-rm -f $(maindir)/*~

maintainer-clean .PHONY : $~maintainer-clean
$~maintainer-clean: $~clean
	-rm -f $(txtmanpages)
	$(MAKE) $(txtmanpages)

=== debian/changelog ===
console-setup (1.237ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2098981). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - Add noudeb build profile
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - xmlreader: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with accurate data from xkb-data.
    - Add Keyboard/Makefile rule to build pc105.tree
    - debian/control: Build depend on keymapper
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.{postinst, prerm}: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Include pc105.tree for ubiquity
    - Keyboard/keymaptree tool to analyze key maps
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Map ppc64el/* to XKBMODEL=pc105
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs
      to call setupcon without depending on it.
    - Added templates for keyboard detection
    - keyboard-configuration.config: While sourcing config files to re-seed debconf, 
      treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout question.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default layout to be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - Make sure we give a meaningful name to ch layouts: "Switzerland"
      instead of "German (Switzerland), since it includes French too."
    - Generate a locale locally for translating keyboard names in kbdnames-maker.
    - Make COPYRIGHT a symlink to debian/copyright
    - Add noudeb build profile re
    - Generate a locale locally for translating keyboard names in kbdnames-maker.
    - Generated changes in debian/po/templates.pot (This is the diff produced by dpkg-buildpkg -S -sa -d.)

  * Dropped changes:
    - Reinstated dh_clean in d/rules which was probably commented out by mistake

 -- Anshul Singh <anshul.singh@canonical.com>  Wed, 04 Jun 2025 16:00:37 +0530

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>
Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils, keymapper
Build-Depends: perl, debhelper (>= 9.20160709), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, unifont, unifont-bin, otf2bdf, fonts-dejavu-mono
Standards-Version: 3.9.1
Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
Vcs-Git: https://salsa.debian.org/installer-team/console-setup.git

Package: keyboard-configuration
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, liblocale-gettext-perl, xkb-data (>= ${xkb-data:Version}~), xkb-data (<< ${xkb-data:Version}A)
Pre-Depends: debconf | debconf-2.0
Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Architecture: all
Multi-Arch: foreign
Pre-Depends: debconf | debconf-2.0
Depends: console-setup-linux | hurd, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: console-setup-mini
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also installs console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Architecture: all
Multi-Arch: foreign
Recommends: kbd | console-tools
Depends: console-setup-linux, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version for Linux
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 This package can be useful for handhelds or other devices with small
 storage space.

Package: console-setup-linux
Architecture: all
Multi-Arch: foreign
Static-built-Using: ${built-using}
Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), keyboard-configuration (= ${source:Version}), ${misc:Depends}, init-system-helpers (>= 1.29~) | initscripts
Suggests: console-setup
Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
Replaces: console-terminus, console-setup (<< 1.71)
Provides: console-terminus
Description: Linux specific part of console-setup
 This package includes fonts in psf format and definitions of various
 8-bit charmaps.

Package: bdf2psf
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 Keyboard configurator for Debian Installer based on console-setup
Package-Type: udeb
Build-Profiles: <!noudeb>
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Amiga keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Atari TT keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for PC keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun4 keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun5 keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-pc-ekbd
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded FreeBSD keyboard layouts for PC keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-linux-fonts-udeb
Section: debian-installer
Depends: ${misc:Depends}, kbd-udeb
Architecture: all
Description: Linux console fonts for Debian Installer
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-linux-charmaps-udeb
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: Linux 8-bit charmaps for console-setup-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>

=== debian/rules ===
#!/usr/bin/make -f

include Makefile

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

FONTS_BUILT_USING := $(shell dpkg-query -W -f '$${source:Package} (= $${source:Version}), ' unifont fonts-dejavu-mono)

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

xkbdir := /usr/share/X11/xkb
xkb_data_version = $(shell dpkg-query -W -f '$${source:Version}' xkb-data | cut -d - -f 1)

pre := debian/preprocessor
manprocessor := sed \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local/etc|\1 /etc|' \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local|\1 /usr|'

# One font per fontset supported by d-i in text console
udeb-fonts := CyrAsia-Fixed16 CyrSlav-TerminusBold16 Greek-VGA16 \
Lat15-TerminusBold16 Lat2-TerminusBold16 Lat38-VGA16 Lat7-TerminusBold16
# These are Linux-only
udeb-fonts-big :=

# These are not properly supported by d-i in text console, but
# included for completeness for speakup & brltty screen reading
udeb-fonts += Armenian-Fixed16 Georgian-Fixed16 Hebrew-VGA16 Lao-Fixed16 Thai-Fixed16
udeb-fonts-big += Arabic-VGA16 Ethiopian-Goha16 Vietnamese-Fixed16

# These are needed for proper text screen reading by speakup and brltty
udeb-fonts-big += FullCyrAsia-Fixed16 FullCyrSlav-TerminusBold16 FullGreek-VGA16

# This is not useful (KOI8-R encoding)
# CyrKoi-TerminusBold16

# These are not useful (convered by fonts above)
# Uni1-VGA16 Uni2-VGA16 Uni3-Fixed16

# One fontset per charmap
udeb-scm := $(addprefix Fonts/, ARMSCII-8_Armenian.scm			\
CP1251_CyrSlav.scm CP1255_Hebrew.scm GEORGIAN-ACADEMY_Georgian.scm	\
GEORGIAN-PS_Georgian.scm IBM1133_Lao.scm ISO-8859-1_Lat15.scm		\
ISO-8859-2_Lat2.scm ISO-8859-3_Lat38.scm ISO-8859-4_Lat7.scm		\
ISO-8859-4_Lat15.scm ISO-8859-5_CyrSlav.scm ISO-8859-7_Greek.scm	\
ISO-8859-8_Hebrew.scm ISO-8859-9_Lat15.scm ISO-8859-10_Lat15.scm	\
ISO-8859-11_Thai.scm ISO-8859-13_Lat7.scm ISO-8859-14_Lat38.scm		\
ISO-8859-15_Lat15.scm ISO-8859-16_Lat2.scm KOI8-R_CyrKoi.scm		\
KOI8-U_CyrKoi.scm TIS-620_Thai.scm)

udeb-fonts-linux = $(addprefix Fonts/, $(addsuffix .psf.gz, \
			$(udeb-fonts) $(udeb-fonts-big)))

debian/kbdnames.gz: $./Keyboard/KeyboardNames.pl
	( cd Keyboard \
	&& ./kbdnames-maker ./KeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9n ) >$@

build: debian/kbdnames.gz

clean : maintainer-clean
	dh_testdir
	-rm -f *.ekmap *.ekmap.gz
	debconf-updatepo
	-rm -f build main_build building_debian
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean
	ln -sf debian/copyright COPYRIGHT

.PHONY : deb-udeb-install
deb-udeb-install: deb-install-linux deb-install-main deb-install-bdf2psf $(if $(with_udeb),udeb-install-linux udeb-install)

.PHONY : deb-install-linux
deb-install-linux: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-linux
	$(MAKE) etcdir=debian/console-setup-linux/etc \
		prefix=debian/console-setup-linux/usr install-common-linux
	dh_install -p console-setup-linux \
		init/90-console-setup.rules usr/lib/udev/rules.d/
	dh_install -p console-setup-linux \
		init/keyboard-setup.sh usr/lib/console-setup/
	dh_install -p console-setup-linux \
		init/console-setup.sh usr/lib/console-setup/
	dh_systemd_enable -p console-setup-linux \
		--name keyboard-setup
	dh_systemd_enable -p console-setup-linux \
		--name console-setup
	dh_systemd_enable -p console-setup-linux \
		--name setvtrgb
	dh_installinit -p console-setup-linux \
		--no-start --name keyboard-setup.sh
	dh_installinit -p console-setup-linux \
		--no-start --name console-setup.sh
	dh_installinit -p console-setup-linux \
		--no-start --name setvtrgb
	dh_systemd_start -p console-setup-linux \
		--no-start --name keyboard-setup
	dh_systemd_start -p console-setup-linux \
		--no-start --name console-setup
	dh_systemd_start -p console-setup-linux \
		--no-start --name setvtrgb
	sed -i 's/RUNLEVEL/2 3 4 5/' \
		debian/console-setup-linux/etc/init.d/console-setup.sh

.PHONY : deb-install-main
deb-install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	dh_prep -p console-setup
	dh_prep -p console-setup-mini
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr \
		bootprefix=debian/console-setup/usr install-common
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-ckbcomp
	dh_install -pconsole-setup Keyboard/pc105.tree \
		usr/share/console-setup
ifneq (,$(filter console-setup-linux, $(shell dh_listpackages)))
	install -m 644 debian/vtrgb debian/console-setup-linux/etc/console-setup/
	install -m 644 debian/vtrgb.vga debian/console-setup-linux/etc/console-setup/
endif
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr \
		bootprefix=debian/console-setup-mini/usr install-common
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-ckbcomp-mini
	$(pre) --mini debian/console-setup-mini/usr/bin/setupcon
	$(pre) --mini debian/console-setup-mini/usr/bin/ckbcomp-mini
	ls debian/console-setup/usr/share/man/*/* \
	   debian/console-setup-mini/usr/share/man/*/* \
		| xargs -n 1 $(manprocessor) -i
	install -d debian/keyboard-configuration/usr/share/console-setup/
	mv debian/console-setup/etc/default/keyboard \
		debian/keyboard-configuration/usr/share/console-setup/
	install -d debian/console-setup/usr/share/console-setup/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	rm debian/console-setup-mini/etc/default/keyboard
	rm debian/console-setup-mini/etc/default/console-setup
	dh_movefiles -pkeyboard-configuration --sourcedir=debian/console-setup \
		usr/share/man/man5/keyboard.5
	rm debian/console-setup-mini/usr/share/man/man5/keyboard.5
# For KeyboardNames.pl and kbdnames-maker see #420914
	dh_install -pkeyboard-configuration Keyboard/KeyboardNames.pl \
		usr/share/console-setup/
	dh_install -pkeyboard-configuration Keyboard/kbdnames-maker \
		usr/share/console-setup/
	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
		usr/share/doc/keyboard-configuration/xorg.lst
	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
	install -m755 debian/console-setup.initramfs-hook \
		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
	sed -e "/^OPTION=/d" \
		< debian/console-setup.initramfs-top \
		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
	install -m644 debian/console-setup.apport \
		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py

.PHONY : deb-install-bdf2psf
deb-install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	dh_installman -pbdf2psf man/bdf2psf.1
	dh_installdocs -pbdf2psf debian/README.fontsets

.PHONY : udeb-install-linux
udeb-install-linux: build
	dh_testdir
	dh_testroot
# console-setup-linux-charmaps-udeb
	dh_prep -p console-setup-linux-charmaps-udeb
	$(MAKE) etcdir=debian/console-setup-linux-charmaps-udeb/etc \
		prefix=debian/console-setup-linux-charmaps-udeb/usr \
			install-common-linux
	dh_install -p console-setup-linux-charmaps-udeb \
		Keyboard/charmap_functions.sh usr/share/console-setup/
	rm -r debian/console-setup-linux-charmaps-udeb/usr/share/consolefonts/
# console-setup-linux-fonts-udeb
	dh_prep -p console-setup-linux-fonts-udeb

## console-setup 1.237ubuntu2

=== debian/changelog ===
console-setup (1.237ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:24:29 +0100

## console-setup 1.237ubuntu3

=== Keyboard/Makefile ===
kbddir ?= $(shell pwd)
include $(kbddir)/../rules.mk

# The following two shortcuts will be redefined, so they can not be
# used in recipes and target specific variables.
. := $(kbddir)
~ := kbd

gzipped-ekmaps := $./amiga.ekmap.gz $./ataritt.ekmap.gz		\
		$./pc105.ekmap.gz	\
		$./sun4.ekmap.gz $./sun5.ekmap.gz

gzipped-ekbds := $./pc105.ekbd.gz

xkbdir ?= /usr/share/X11/xkb

%.tree : %.ekmap.gz $./keymaptree.use
	(cd $(kbddir) && set -x && \
		./keymaptree -output $@ -useonly "$$(cat $./Keyboard/keymaptree.use | grep -v '^#' | xargs | sed 's/ /,/g')" -names ./KeyboardNames.pl $(notdir $(@:%.tree=%)))

$./%.ekmap : model = $(notdir $(@:%.ekmap=%))
$./%.ekmap :
	(cd $(kbddir) && \
		./kbdcompiler $(model) ./KeyboardNames.pl $(xkbdir)) >$@

$./%.ekbd : model = $(notdir $(@:%.ekbd=%))
$./%.ekbd :
	(cd $(kbddir) && \
		./kbdcompiler freebsd-$(model) ./KeyboardNames.pl $(xkbdir)) >$@

$./charmap_functions.sh : $(acmfiles)
	$(kbddir)/make_charmap_functions $(kbddir)/../acm $(charmaps) >$@

acmfiles := $(sort $(wildcard $./../acm/*.acm))

charmaps := $(basename $(notdir $(acmfiles)))

compose_files := $(addprefix $./compose.,$(addsuffix .inc, $(charmaps)))
dkey_files := $(addprefix $./dkey.,$(addsuffix .inc, $(charmaps)))

$(compose_files): charmap = $(patsubst compose.%.inc,%, $(notdir $@))
$(dkey_files): charmap = $(patsubst dkey.%.inc,%, $(notdir $@))
$(compose_files) $(dkey_files): acmfile = $(kbddir)/../acm/$(charmap).acm

VISCII-XCOMPOSE := $./locale/vi_VN.viscii/Compose
ISO-8859-1-XCOMPOSE := $./locale/iso8859-1/Compose
ISO-8859-2-XCOMPOSE := $./locale/iso8859-2/Compose
ISO-8859-3-XCOMPOSE := $./locale/iso8859-3/Compose
ISO-8859-4-XCOMPOSE := $./locale/iso8859-4/Compose
ISO-8859-7-XCOMPOSE := $./locale/iso8859-7/Compose
ISO-8859-9-XCOMPOSE := $./locale/iso8859-9/Compose
ISO-8859-13-XCOMPOSE := $./locale/iso8859-13/Compose
ISO-8859-14-XCOMPOSE := $./locale/iso8859-14/Compose
ISO-8859-15-XCOMPOSE := $./locale/iso8859-15/Compose
KOI8-R-XCOMPOSE := $./locale/koi8-c/Compose
KOI8-U-XCOMPOSE := $./locale/koi8-c/Compose

$(compose_files) :
	echo '# Compose sequences for $(charmap)' >$@
	$(if $($(charmap)-XCOMPOSE), \
		$(kbddir)/compose_translator --acm $(acmfile) \
			$($(charmap)-XCOMPOSE) >>$@)

$(dkey_files) : $(kbddir)/dkey_sequences
	$(kbddir)/dkey_bsd $(acmfile) $(kbddir)/dkey_sequences >$@

build-common .PHONY : compose-files dkey-files
compose-files : $(compose_files)
dkey-files : $(dkey_files)
build-mini-linux : gzipped-ekmaps $./charmap_functions.sh $./pc105.tree
.PHONY : gzipped-ekmaps
gzipped-ekmaps : $(gzipped-ekmaps)
build-mini-freebsd : gzipped-ekbds $./charmap_functions.sh
.PHONY : gzipped-ekbds
gzipped-ekbds : $(gzipped-ekbds)

kbdcleanfiles := $(wildcard $./*~ $./*.ekmap $./*.ekbd)			\
		$./linux-keymaps $./freebsd-keymaps $./keymaps		\
		$(wildcard $./ckbcomp.*.log)				\
		$./keymaps.dir $./names.list				\
		$./charmap_functions.sh $./compose $(compose_files)	\
		$(dkey_files) $(gzipped-ekmaps) $(gzipped-ekbds)

clean .PHONY : $~clean
$~clean:
	-rm -rf $(kbdcleanfiles)
	-rm -f *.tree

maintainer-clean .PHONY : $~maintainer-clean
$~maintainer-clean: $~clean
	cd $(kbddir) && ./xmlreader $(xkbdir)/rules/xorg.xml >KeyboardNames.pl

KeyboardNames.pl $./KeyboardNames.pl:
	$(kbddir)/xmlreader $(xkbdir)/rules/base.xml >$@

=== debian/changelog ===
console-setup (1.237ubuntu3) resolute; urgency=medium

  [ Samuel Thibault ]
  * Keyboard/kbdcompiler: Fix checking ckbcomp success.
  * Keyboard/ckbcomp: Support symbols = [...].

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Mar 2026 16:21:56 +0200

## console-setup 1.239

=== debian/changelog ===
console-setup (1.239) unstable; urgency=medium

  [ NoisyCoil ]
  * Add support for Apple MTP keyboard and Apple SPI Keyboard, as found
    on ARM-based Apple laptops like M1 MacBook Pro and M2 MacBook Air
    (Closes: #1108360).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Jun 2025 17:20:08 +0200

console-setup (1.238) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Joe
  * Greek (el.po) by galaxico
  * Hungarian (hu.po) by Szia Tomi
  * Khmer (km.po) by Chou Chamnan
  * Punjabi (Gurmukhi) (pa.po) by DuskyElf
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Russian (ru.po) by vladiruzz
  * Sinhala (si.po) by leela
  * Telugu (te.po) by Sripath Roy Koganti
  * Uyghur (ug.po) by Abduqadir Abliz
  * Traditional Chinese (zh_TW.po) by reimu105

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 24 Jun 2025 23:11:35 +0200

## console-setup 1.240

=== debian/changelog ===
console-setup (1.240) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Russian (ru.po) by Алексей Шилин
  * Tamil (ta.po) by தமிழ்நேரம்

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:30:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>
-Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils, keymapper
+Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
 Build-Depends: perl, debhelper (>= 9.20160709), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, unifont, unifont-bin, otf2bdf, fonts-dejavu-mono
 Standards-Version: 3.9.1
 Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
@@ -100,13 +99,12 @@
 
 Package: console-setup-udeb
 Section: debian-installer
-Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard
  Keyboard configurator for Debian Installer based on console-setup
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 XB-Installer-Menu-Item: 1200
 
 Package: console-setup-amiga-ekmap
@@ -116,7 +114,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Amiga keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-ataritt-ekmap
 Provides: console-setup-ekmap
@@ -125,7 +122,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Atari TT keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-pc-ekmap
 Provides: console-setup-ekmap
@@ -134,7 +130,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for PC keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-sun4-ekmap
 Provides: console-setup-ekmap
@@ -143,7 +138,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Sun4 keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-sun5-ekmap
 Provides: console-setup-ekmap
@@ -152,16 +146,6 @@
 Architecture: all
 Description: encoded Linux keyboard layouts for Sun5 keyboards
 Package-Type: udeb
-Build-Profiles: <!noudeb>
-
-Package: console-setup-pc-ekbd
-Provides: console-setup-ekmap
-Section: debian-installer
-Depends: ${misc:Depends}
-Architecture: all
-Description: encoded FreeBSD keyboard layouts for PC keyboards
-Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-linux-fonts-udeb
 Section: debian-installer
@@ -169,7 +153,6 @@
 Architecture: all
 Description: Linux console fonts for Debian Installer
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: console-setup-linux-charmaps-udeb
 Section: debian-installer
@@ -177,4 +160,3 @@
 Architecture: all
 Description: Linux 8-bit charmaps for console-setup-udeb
 Package-Type: udeb
-Build-Profiles: <!noudeb>

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 endif
 
 FONTS_BUILT_USING := $(shell dpkg-query -W -f '$${source:Package} (= $${source:Version}), ' unifont fonts-dejavu-mono)
-
-ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
-  with_udeb = yes
-endif
 
 xkbdir := /usr/share/X11/xkb
 xkb_data_version = $(shell dpkg-query -W -f '$${source:Version}' xkb-data | cut -d - -f 1)
@@ -60,7 +56,32 @@
 	&& ./kbdnames-maker ./KeyboardNames.pl \
 		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9n ) >$@
 
-build: debian/kbdnames.gz
+models := amiga ataritt pc105 sun4 sun5
+
+di-gzipped-ekmaps := $(addprefix $./, $(addsuffix .ekmap.gz, $(models)))
+
+# di-kbdnames = us al ara es(ast) bd by in(ben) be ba br gb bg bg(phonetic)...
+di-kbdnames := $(shell grep -A 2 keyboard-configuration/xkb-keymap debian/console-setup-udeb.templates | tail -n 1 | cut -d ' ' -f 2- | tr -d , | tr ' ' '\n' | grep -v skip-config)
+
+$./%.ekmap : model = $(notdir $(@:%.ekmap=%))
+$./%.ekmap :
+	(cd Keyboard \
+	&& ./kbdcompiler $(model) ./KeyboardNames.pl $(xkbdir) \
+		"$(di-kbdnames)") >$@
+
+# The following rules ensure that kbdcompiler is not run
+# simultaneously for normal and udeb kmaps
+$(foreach i,$(gzipped-ekmaps:%.gz=%),\
+	$(eval $i: $(maindir)/$(notdir $i)))
+
+# A hack so that KeyboardNames.pl is recomputed using the files in
+# /usr/share/X11/xkb instead of the files shipped with console-setup
+$(gzipped-ekmaps:%.gz=%) $(di-gzipped-ekmaps:%.gz=%) : $./Keyboard/KeyboardNames.pl
+$./Keyboard/KeyboardNames.pl : building_debian
+building_debian :
+	touch building_debian
+
+build: debian/kbdnames.gz $(di-gzipped-ekmaps)
 
 clean : maintainer-clean
 	dh_testdir
@@ -70,10 +91,9 @@
 	-rm -f debian/kbdnames.gz
 	-rm -f debian/*~
 	dh_clean
-	ln -sf debian/copyright COPYRIGHT
 
 .PHONY : deb-udeb-install
-deb-udeb-install: deb-install-linux deb-install-main deb-install-bdf2psf $(if $(with_udeb),udeb-install-linux udeb-install)
+deb-udeb-install: deb-install-linux deb-install-main deb-install-bdf2psf udeb-install-linux udeb-install
 
 .PHONY : deb-install-linux
 deb-install-linux: build
@@ -92,20 +112,14 @@
 		--name keyboard-setup
 	dh_systemd_enable -p console-setup-linux \
 		--name console-setup
-	dh_systemd_enable -p console-setup-linux \
-		--name setvtrgb
 	dh_installinit -p console-setup-linux \
 		--no-start --name keyboard-setup.sh
 	dh_installinit -p console-setup-linux \
 		--no-start --name console-setup.sh
-	dh_installinit -p console-setup-linux \
-		--no-start --name setvtrgb
 	dh_systemd_start -p console-setup-linux \
 		--no-start --name keyboard-setup
 	dh_systemd_start -p console-setup-linux \
 		--no-start --name console-setup
-	dh_systemd_start -p console-setup-linux \
-		--no-start --name setvtrgb
 	sed -i 's/RUNLEVEL/2 3 4 5/' \
 		debian/console-setup-linux/etc/init.d/console-setup.sh
 
@@ -121,12 +135,6 @@
 		bootprefix=debian/console-setup/usr install-common
 	$(MAKE) etcdir=debian/console-setup/etc \
 		prefix=debian/console-setup/usr install-ckbcomp
-	dh_install -pconsole-setup Keyboard/pc105.tree \
-		usr/share/console-setup
-ifneq (,$(filter console-setup-linux, $(shell dh_listpackages)))
-	install -m 644 debian/vtrgb debian/console-setup-linux/etc/console-setup/
-	install -m 644 debian/vtrgb.vga debian/console-setup-linux/etc/console-setup/
-endif
 	$(MAKE) etcdir=debian/console-setup-mini/etc \
 		prefix=debian/console-setup-mini/usr \
 		bootprefix=debian/console-setup-mini/usr install-common
@@ -155,20 +163,6 @@
 		usr/share/console-setup/
 	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
 		usr/share/doc/keyboard-configuration/xorg.lst
-	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
-		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
-		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
-	install -m755 debian/console-setup.initramfs-hook \
-		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
-	install -m755 debian/console-setup.initramfs-top \
-		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
-	sed -e "/^OPTION=/d" \
-		< debian/console-setup.initramfs-top \
-		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
-	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
-	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
-	install -m644 debian/console-setup.apport \
-		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py
 
 .PHONY : deb-install-bdf2psf
 deb-install-bdf2psf: build
@@ -195,3 +189,20 @@
 	rm -r debian/console-setup-linux-charmaps-udeb/usr/share/consolefonts/
 # console-setup-linux-fonts-udeb
 	dh_prep -p console-setup-linux-fonts-udeb
+	dh_install -p console-setup-linux-fonts-udeb $(udeb-fonts-linux) \
+		usr/share/consolefonts
+	dh_install -p console-setup-linux-fonts-udeb debian/font-switch \
+		/usr/share/console-setup
+
+.PHONY : udeb-install
+udeb-install: build
+	dh_testdir
+	dh_testroot
+	dh_prep -p console-setup-amiga-ekmap
+	dh_prep -p console-setup-ataritt-ekmap
+	dh_prep -p console-setup-pc-ekmap
+	dh_prep -p console-setup-sun4-ekmap
+	dh_prep -p console-setup-sun5-ekmap
+	dh_prep -p console-setup-udeb
+	$(MAKE) etcdir=debian/console-setup-udeb/etc \
+		prefix=debian/console-setup-udeb/usr \

## console-setup 1.240+deb13u1

=== debian/changelog ===
console-setup (1.240+deb13u1) trixie; urgency=medium

  * keyboard-configuration.templates: Update dz(la) into dz(azerty-oss).
  * keyboard-configuration.templates: Use ca/multix variant instead of
    ca/multi (Closes: #1111994).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 04 Sep 2025 19:29:20 +0200

## console-setup 1.241

=== debian/changelog ===
console-setup (1.241) unstable; urgency=medium

  * keyboard-configuration.templates: Use ca/multix variant instead of
    ca/multi (Closes: #1111994).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2025 01:11:18 +0200
